CarteImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class CarteImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.CarteImpl

All Implemented Interfaces:
  ICarte, java.io.Serializable, java.rmi.Remote

    public class CarteImpl

extends java.rmi.server.UnicastRemoteObject
implements ICarte

Classe CarteImpl

See Also:
  Serialized Form

Field Summary
`private Couleur` | `couleurC` Represente la couleur de la carte
`private java.lang.String` | `nom` Represente le nom de la carte
`private int` | `valeur` Represente la valeur de la carte

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`CarteImpl()` Constructeur par defaut Construit une carte avec comme attributs : la valeur a 0, la couleur null et le nom a "vide"
`CarteImpl(int n, Couleur c)` Constructeur avec deux parametres
`CarteImpl(int n, Couleur c, java.lang.String s)` Constructeur avec trois parametres

Method Summary
`java.lang.String` | `affiche()` Affiche les attributs de la classe
`int` | `compare(java.lang.Object o)` Methode qui permet de comparer deux cartes A la difference de la precedente, celle ci affiche la difference entre les deux valeurs des cartes
`int` | `compareTo(java.lang.Object o)` Methode qui permet de comparer deux cartes
`Couleur` | `getCoul()` Retourne la couleur de la carte
`java.lang.String` | `getNom()` Retourne le nom de la carte
`int` | `getValeur()` Retourne la valeur de la carte
`void` | `setValeur(int num)` Modifie la valeur de la carte

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### couleurC

    private Couleur couleurC

  Represente la couleur de la carte

### valeur

    private int valeur

  Represente la valeur de la carte

### nom

    private java.lang.String nom

  Represente le nom de la carte

Constructor Detail

### CarteImpl

    public CarteImpl()
              throws java.rmi.RemoteException

  Constructeur par defaut
  Construit une carte avec comme attributs : la valeur a 0, la couleur null et le nom a "vide"

  Throws:
    `java.rmi.RemoteException`

### CarteImpl

    public CarteImpl(int n,
                     Couleur c)
              throws java.rmi.RemoteException

  Constructeur avec deux parametres

  Parameters:
    `n` - , entier representant la valeur
    `c` - , la couleur de la carte
  Throws:
    `java.rmi.RemoteException`

### CarteImpl

    public CarteImpl(int n,
                     Couleur c,
                     java.lang.String s)
              throws java.rmi.RemoteException

  Constructeur avec trois parametres

  Parameters:
    `n` - , entier representant la valeur
    `c` - , la couleur de la carte
    `s` - , le nom de la carte ( dame, roi, valet )
  Throws:
    `java.rmi.RemoteException`

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)
                  throws java.rmi.RemoteException

  Methode qui permet de comparer deux cartes

  Specified by:
    `compareTo` in interface `ICarte`
  Parameters:
    `o` - , objet qui sera compare
  Throws:
    `java.rmi.RemoteException`

### compare

    public int compare(java.lang.Object o)
                throws java.rmi.RemoteException

  Methode qui permet de comparer deux cartes
  A la difference de la precedente, celle ci affiche la difference entre les deux valeurs des cartes

  Specified by:
    `compare` in interface `ICarte`
  Parameters:
    `o` - , objet qui sera compare
  Throws:
    `java.rmi.RemoteException`

### getCoul

    public Couleur getCoul()
                    throws java.rmi.RemoteException

  Retourne la couleur de la carte

  Specified by:
    `getCoul` in interface `ICarte`
  Throws:
    `java.rmi.RemoteException`

### getValeur

    public int getValeur()
                  throws java.rmi.RemoteException

  Retourne la valeur de la carte

  Specified by:
    `getValeur` in interface `ICarte`
  Throws:
    `java.rmi.RemoteException`

### getNom

    public java.lang.String getNom()
                            throws java.rmi.RemoteException

  Retourne le nom de la carte

  Specified by:
    `getNom` in interface `ICarte`
  Throws:
    `java.rmi.RemoteException`

### setValeur

    public void setValeur(int num)
                   throws java.rmi.RemoteException

  Modifie la valeur de la carte

  Specified by:
    `setValeur` in interface `ICarte`
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Affiche les attributs de la classe

  Specified by:
    `affiche` in interface `ICarte`
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD